<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.guosen.bonusgroupdailystatic.mapper.BonusGroupDailyStaticMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="bonusGroupDaliyStaticResultMap" type="org.springblade.modules.guosen.bonusgroupdailystatic.entity.BonusGroupDailyStatic">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="date" property="date"/>
        <result column="recharge_amt" property="rechargeAmt"/>
        <result column="service_fee" property="serviceFee"/>
        <result column="channel_fee" property="channelFee"/>
        <result column="bonus_amt" property="bonusAmt"/>
        <result column="recharge_num" property="rechargeNum"/>
        <result column="bonus_group_id" property="bonusGroupId"/>
        <result column="bonus_scene_id" property="bonusSceneId"/>
    </resultMap>


    <select id="selectBonusGroupDaliyStaticPage" resultMap="bonusGroupDaliyStaticResultMap">
        select * from cyzh_bonus_group_daliy_static where is_deleted = 0
    </select>

</mapper>
